﻿using FestoDebugger.Beckoff;
using FestoDebugger.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using System.Windows.Media;

namespace FestoDebugger.ViewModels
{
    public class MainViewModel : ViewModelBase
    {
        #region 内部变量


        private ObservableCollection<SignalModuleData> _signalModuleDatas;

        #endregion

        #region 属性


        public ObservableCollection<SignalModuleData> SignalModuleDatas
        {
            get => _signalModuleDatas;
            set => SetProperty(ref _signalModuleDatas, value);
        }

        #endregion

        public MainViewModel()
        {
            LoadSignalConfig();

            SignalModuleDatas = new ObservableCollection<SignalModuleData>();
            for (int i = 1; i < 11; i++)
            {
                SignalModuleData data = new SignalModuleData();
                data.ModuleName = $"V{i}";
                data.SignalAOn = true;
                data.SignalBOn = false;
                SignalModuleDatas.Add(data);
            }

            //LoadSignalConfig();
        }
        /// <summary>
        /// 加载配置文件，初始化数据
        /// </summary>
        private void LoadSignalConfig()
        {
            BeckhoffManager.Instance.Initialize();
        }

    }
}

  

